gSOAP WS-Discovery: wsdd__ByeType Struct Reference

gSOAP WS-Discovery 2.8 Stable

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes
wsdd__ByeType Struct Reference

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ByeType is a complexType. More...

`#include <wsdd.h>`

Collaboration diagram for wsdd__ByeType:
[legend]

List of all members.

## Public Attributes
_wsa5__EndpointReference | wsa5__EndpointReference
| Imported element reference "http://www.w3.org/2005/08/addressing":EndpointReference.
wsdd__QNameListType | Types
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Types.
struct wsdd__ScopesType * | Scopes
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Scopes.
wsdd__UriListType | XAddrs
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":XAddrs.
unsigned int * | MetadataVersion
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":MetadataVersion.

## Detailed Description

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ByeType is a complexType.

## Member Data Documentation

unsigned int* wsdd__ByeType::MetadataVersion

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":MetadataVersion.

Optional element.

struct wsdd__ScopesType* wsdd__ByeType::Scopes

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Scopes.

Optional element.

wsdd__QNameListType wsdd__ByeType::Types

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Types.

Optional element.

_wsa5__EndpointReference wsdd__ByeType::wsa5__EndpointReference

Imported element reference "http://www.w3.org/2005/08/addressing":EndpointReference.

Required element.

wsdd__UriListType wsdd__ByeType::XAddrs

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":XAddrs.

Optional element.

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/import/wsdd.h